IntelGraphicsFixup Changelog
============================
#### v1.0.0
- Initial release

#### v1.0.1
- Updated readme, features
- Patch IOGraphicsFamily if it's already loaded

#### v1.1.0
- Adopted for Lulu 1.1.0
- Module identifier has been fixed

#### v1.1.1
- Sky Lake support

#### v1.1.2
- Display initialization fix for SkyLake Graphics

#### v1.1.3
- Added OSBundleCompatibleVersion

#### v1.1.4
- Fix for Kaby Lake Graphics added (Display initialization)

#### v1.1.5
- Fix for Azul Graphics added (Display initialization)

#### v1.1.6
- HighSierra compatibility, and bug fix: clear error status before routing

#### v1.1.7
- Fix for HD4000 added (credits to PMHeart)

#### v1.2.0
- XCode 9 & Lilu 1.2.0 compatibility fixes (Lilu 1.2.0 is required)

#### v1.2.1
- New boot  logo fix via restoring video memory content (no frame buffer reset)

#### v1.2.2
- New boot-arg -igfxvesa is supported (to disable intel video acceleration completely)

#### v1.2.3
- Fix up will be loaded in safe mode (required to fix black screen)

#### v1.2.4
- Fix for HD3000 added (credits to syscl)

#### v1.2.5
- Add basic automatic IGPU model detection if it is not set
- Add IGPU device id correction (correct `device-id` should be set via device properties or ACPI
- Add basic digital audio correction on (HDAU rename on Haswell and `layout-id`/`hda-gfx` where needed)
- Add GFX0 -> IGPU automatic rename
- Add MEI/HECI -> IMEI automatic rename
- Add IMEI device id automatic correction on Sandy Bridge and Ivy Bridge
- Add basic automatic AAPL,ig-platform-id injection (defaults to connector-less when AMD/NVIDIA is found)
- Add GuC microcode loading on SKL (9.33) and KBL (9.39) in 10.13 (enabled via `igfxfw=1` boot-arg)
- Add `igfxframe=frame` boot-arg for framebuffer id injection in testing cases
- Fix booting without `-disablegfxfirmware` boot argument on KBL GPUs
- Fix compatibility with connector-less frames
- Minor performance improvements

#### v1.2.6
- Fix Skylake and KabyLake automatic framebuffer detection
- Ensure standard connector-less framebuffers are used

#### v1.2.7
- Add `igfxgl=1` boot argument (and `disable-metal` property) to disable Metal support
- Implement Gen6Accelerator with IntelAccelerator rename to fix GVA warnings (use `igfxsnb=0` boot argument to disable)
- Harden solved symbol verification to avoid panics with broken kext cache
- Replace connector-less Sandy Bridge framebuffer for unsupported macmodels from 0x30030 to 0x50000

In order to boot with `igfxgl=1` on 10.13.x you may need to set the defaults:
```
sudo defaults write /Library/Preferences/com.apple.CoreDisplay useMetal -boolean no
sudo defaults write /Library/Preferences/com.apple.CoreDisplay useIOP -boolean no
```
